## ros-iron-joy 3.1.0

=== debian/changelog ===
ros-iron-joy (3.1.0-4jammy) jammy; urgency=high

  * Install includes to include/ and misc CMake fixes (#225 <https://github.com/ros-drivers/joystick_drivers/issues/225>)
  * Style fixes for newer cpplint.
  * Contributors: Chris Lalancette, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 27 Jan 2022 16:00:00 -0000

ros-iron-joy (3.0.1-4jammy) jammy; urgency=high

  * Override device_id when device_name is provided. (#199 <https://github.com/ros-drivers/joystick_drivers/issues/199>) (#211 <https://github.com/ros-drivers/joystick_drivers/issues/211>)
  * Contributors: Tiger Sachse

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 27 Jan 2022 16:00:00 -0000

ros-iron-joy (3.0.0-4jammy) jammy; urgency=high

  * Fix SDL2 include path (#196 <https://github.com/ros-drivers/joystick_drivers/issues/196>)
  * Contributors: Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 11 Mar 2021 16:00:00 -0000

ros-iron-joy (2.4.1-4jammy) jammy; urgency=high

  * Small fixes for uncrustify on Foxy. (#171 <https://github.com/ros-drivers/joystick_drivers/issues/171>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 12 May 2020 16:00:00 -0000

ros-iron-joy (2.4.0-4jammy) jammy; urgency=high

  * Cross platform joystick support for ROS 2 (#157 <https://github.com/ros-drivers/joystick_drivers/issues/157>)
  * roslint and Generic Clean-Up (#161 <https://github.com/ros-drivers/joystick_drivers/issues/161>)
  * Merge pull request #158 <https://github.com/ros-drivers/joystick_drivers/issues/158> from clalancette/ros1-cleanups
  * Greatly simplify the sticky_buttons support.
  * Small fixes to rumble support.
  * Use C++ style casts.
  * Use empty instead of length.
  * joy_def_ff -> joy_dev_ff
  * Cleanup header includes.
  * Use size_t appropriately.
  * NULL -> nullptr everywhere.
  * Style cleanup in joy_node.cpp.
  * Merge pull request #154 <https://github.com/ros-drivers/joystick_drivers/issues/154> from zchen24/master
  * Minor: moved default to right indent level
  * Contributors: Chris Lalancette, Joshua Whitley, Zihan Chen

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 11 May 2020 16:00:00 -0000
