=== debian/control ===
Source: ros-iron-joy
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake-ros, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-sdl2-vendor, ros-iron-sensor-msgs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-joy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-sdl2-vendor, ros-iron-sensor-msgs, ros-iron-ros-workspace
Description: The joy package contains joy_node, a node that interfaces a generic joystick to ROS 2.
 This node publishes a &quot;Joy&quot; message, which contains the current state of each one of the joystick's buttons and axes.
